local additional_controls = {
    previous_weapon = {
        category = "normal",
        type = "usage",
        text_id = "menu_button_previous_weapon",
        insert_after = "switch_weapon"
    },
    next_weapon = {
        category = "normal",
        type = "usage",
        text_id = "menu_button_next_weapon",
        insert_after = "switch_weapon"
    }
}

local MenuCustomizeControllerCreator = MenuCustomizeControllerCreator
local c = MenuCustomizeControllerCreator.CONTROLS
local ci = MenuCustomizeControllerCreator.CONTROLS_INFO
for k, data in pairs(additional_controls) do
    local j = 0
    for i = 1, #c do
        if c[i] == k then
            j = -1
            break
        elseif j <= 0 and c[i] == data.insert_after then
            j = i + 1
        end
    end

    if j ~= -1 then
        if j == 0 then
            j = #c
        end
        table.insert(c, j, k)
    end

    if ci[k] == nil then
        ci[k] = data
    end
end